Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #869

Can't get Audacious 3.10.1 to work on Xubuntu 16.04
February 05, 2019 23:11 - tron z

Status: Closed Start date: February 05, 2019
Priority: Major Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: 3.10.1

Affects version:

Description

Tried to install 3.10.1 over an earlier install of 3.7.2 on Xubuntu 16.04. The earlier ver from repositories worked but now the app
doesn't start at all. Followed instructions in the install file: configure, make, make install, make clean, make distclean. Package
audacious-3.10.1 went through all of the above steps without any error messages:

https://paste.ubuntu.com/p/gSNcW5PsVm/

However, package audacious-plugins-3.10.1 gave 2 warnings and an error at configure due to 3 missing dependencies and make
failed right away:

https://paste.ubuntu.com/p/DNKxMjkRRp/

Questions:

1. Can ver 3.10.1 be installed over an earlier ver or must the older ver be uninstalled first?

2. If uninstall first is needed, is it also needed to remove the config data?

3. If config data must be removed as well, is it enough to just manually delete folder ~/.config/audacious/ or must more be done for a
"deeper" cleaning (for example, since 3.7.2 was installed from Ubuntu repos, maybe it's necessary to purge with "dpkg -P
audacious")?

4. Since Audacious code is brocken up into two sepparate packages, can the app run after installing just the audacious-3.10.1
package without the plugins package or must both be installed before anything will work?

5. Ver 3.7.2 didn't seem to work with visualizations of projectM. For projectM to work with 3.10.1, must anything be compiled
differently?

6. Ver 3.7.2 didn't advance automaticaly through a playlist (only manually after clicking "forward"), has this issue been fixed by/in ver
3.10.1?

History

#1 - February 06, 2019 15:13 - John Lindgren

Is there a particular reason you want to install from source? Various PPAs have builds of Audacious available, for example this one:
http://ubuntuhandbook.org/index.php/2018/12/audacious-3-10-1-released-with-important-fixes-how-to-install/

#2 - February 10, 2019 01:22 - tron z

The links on Audacious download page did not list anything newer than 3.9, so | decided to build from source. The app didn't start. Then | uninstalled
audacious and installed the ppa from your link above - same result. Tried to clear config data from before and restart - no diff. In all cases, task
manager showed audacious trying to start and then terminating. Trying to start from terminal with command "audacious" gave:

ERROR plugin-init.cc:147 [start_required]: No output plugin found.
(Did you forget to install audacious-plugins?)
Aborted (core dumped)

Yet,command "apt-cache policy audacious audacious-plugins 2>&1" gave:

audacious:

Installed: 3.10.1-Obuild2~ubuntu16.04

Candidate: 3.10.1-0Obuild2~ubuntu16.04

Version table: *** 3.10.1-Obuild2~ubuntu16.04 500

500 http://ppa.launchpad.net/ubuntuhandbook1/apps/ubuntu xenial/main amd64 Packages
100 /var/lib/dpkg/status

3.6.2-2 500

500 http://ca.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
audacious-plugins:
Installed: 3.10.1-0Obuild2~ubuntu16.04

Candidate: 3.10.1-0Obuild2~ubuntu16.04

Version table: *** 3.10.1-Obuild2~ubuntu16.04 500

500 http://ppa.launchpad.net/ubuntuhandbooki/apps/ubuntu xenial/main amdé4 Packages
100 /var/lib/dpkg/status

3.6.2-2ubuntui1 500

500 http://ca.archive.ubuntu.com/ubuntu xenial-updates/universe amdé4 Packages
3.6.2-2build1 500

500 http://ca.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

Therefore, it seems either the ppa is broken or there is a problem with some plugin which might explain why building from source also gave a problem
at a plugin stage.
Suggestions?

#3 - March 13, 2019 16:37 - John Lindgren

- Status changed from New to Closed

| updated the "cheat sheet" for installing from source on Ubuntu:
https://redmine.audacious-media-player.org/boards/1/topics/788

You can try following that.

| don't have any other suggestions, sorry.
